BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Leave.Service.Controllers.LeaveTypeController Class Reference
Inheritance diagram for BMA.EHR.Leave.Service.Controllers.LeaveTypeController:

## Public Member Functions
| LeaveTypeController (LeaveTypeRepository leaveTypeRepository, LeaveDbContext context, IHttpContextAccessor httpContextAccessor, IWebHostEnvironment hostingEnvironment, IConfiguration configuration, UserProfileRepository userProfileRepository)
async Task< ActionResult< ResponseObject > > | GetAllAsync ()
| LV2_011 - รายการประเภทการลา (ADMIN)

## Additional Inherited Members
Protected Member Functions inherited from BMA.EHR.Domain.Common.BaseController
virtual ActionResult< ResponseObject > | Success (string message, object? result=null)
virtual ActionResult< ResponseObject > | Success (object? result=null)
virtual ActionResult< ResponseObject > | Error (string message, string result, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, int statusCode=StatusCodes.Status500InternalServerError)

## Constructor & Destructor Documentation

## ◆ LeaveTypeController()

BMA.EHR.Leave.Service.Controllers.LeaveTypeController.LeaveTypeController | ( | LeaveTypeRepository | leaveTypeRepository,
|  | LeaveDbContext | context,
|  | IHttpContextAccessor | httpContextAccessor,
|  | IWebHostEnvironment | hostingEnvironment,
|  | IConfiguration | configuration,
|  | UserProfileRepository | userProfileRepository
| ) |  |
| inline

## Member Function Documentation

## ◆ GetAllAsync()

async Task< ActionResult< ResponseObject > > BMA.EHR.Leave.Service.Controllers.LeaveTypeController.GetAllAsync | ( |  | ) |
| inline

LV2_011 - รายการประเภทการลา (ADMIN)

Returns

<response code="200">เมื่อทำรายการสำเร็จ</response> <response code="401">ไม่ได้ Login เข้าระบบ</response> <response code="500">เมื่อเกิดข้อผิดพลาดในการทำงาน</response>

The documentation for this class was generated from the following file:

- BMA.EHR.Leave.Service/Controllers/LeaveTypeController.cs